Upstream information

CVE-2020-10736 at MITRE

Description

An authorization bypass vulnerability was found in Ceph versions 15.2.0 before 15.2.2, where the ceph-mon and ceph-mgr daemons do not properly restrict access, resulting in gaining access to unauthorized resources. This flaw allows an authenticated client to modify the configuration and possibly conduct further attacks.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5.2
Vector AV:A/AC:L/Au:S/C:P/I:P/A:P
Access Vector Adjacent Network
Access Complexity Low
Authentication Single
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database
Base Score 8
Vector CVSS:3.1/AV:A/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H
Access Vector Adjacent Network
Access Complexity Low
Privileges Required Low
User Interaction None
Scope Unchanged
Confidentiality Impact High
Integrity Impact High
Availability Impact High
CVSSv3 Version 3.1
SUSE Bugzilla entry: 1170021 [RESOLVED / FIXED]

No SUSE Security Announcements cross referenced.

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Module for Basesystem 15 SP2
  • ceph-common >= 15.2.2.18+g1dbcddb5d8-1.10
  • libcephfs-devel >= 15.2.2.18+g1dbcddb5d8-1.10
  • libcephfs2 >= 15.2.2.18+g1dbcddb5d8-1.10
  • librados-devel >= 15.2.2.18+g1dbcddb5d8-1.10
  • librados2 >= 15.2.2.18+g1dbcddb5d8-1.10
  • libradospp-devel >= 15.2.2.18+g1dbcddb5d8-1.10
  • librbd-devel >= 15.2.2.18+g1dbcddb5d8-1.10
  • librbd1 >= 15.2.2.18+g1dbcddb5d8-1.10
  • librgw-devel >= 15.2.2.18+g1dbcddb5d8-1.10
  • librgw2 >= 15.2.2.18+g1dbcddb5d8-1.10
  • python3-ceph-argparse >= 15.2.2.18+g1dbcddb5d8-1.10
  • python3-ceph-common >= 15.2.2.18+g1dbcddb5d8-1.10
  • python3-cephfs >= 15.2.2.18+g1dbcddb5d8-1.10
  • python3-rados >= 15.2.2.18+g1dbcddb5d8-1.10
  • python3-rbd >= 15.2.2.18+g1dbcddb5d8-1.10
  • python3-rgw >= 15.2.2.18+g1dbcddb5d8-1.10
  • rados-objclass-devel >= 15.2.2.18+g1dbcddb5d8-1.10
  • rbd-nbd >= 15.2.2.18+g1dbcddb5d8-1.10
SUSE Linux Enterprise Module for Basesystem 15 SP3
  • ceph-common >= 15.2.9.83+g4275378de0-3.17.1
  • libcephfs-devel >= 15.2.9.83+g4275378de0-3.17.1
  • libcephfs2 >= 15.2.9.83+g4275378de0-3.17.1
  • librados-devel >= 15.2.9.83+g4275378de0-3.17.1
  • librados2 >= 15.2.9.83+g4275378de0-3.17.1
  • libradospp-devel >= 15.2.9.83+g4275378de0-3.17.1
  • librbd-devel >= 15.2.9.83+g4275378de0-3.17.1
  • librbd1 >= 15.2.9.83+g4275378de0-3.17.1
  • librgw-devel >= 15.2.9.83+g4275378de0-3.17.1
  • librgw2 >= 15.2.9.83+g4275378de0-3.17.1
  • python3-ceph-argparse >= 15.2.9.83+g4275378de0-3.17.1
  • python3-ceph-common >= 15.2.9.83+g4275378de0-3.17.1
  • python3-cephfs >= 15.2.9.83+g4275378de0-3.17.1
  • python3-rados >= 15.2.9.83+g4275378de0-3.17.1
  • python3-rbd >= 15.2.9.83+g4275378de0-3.17.1
  • python3-rgw >= 15.2.9.83+g4275378de0-3.17.1
  • rados-objclass-devel >= 15.2.9.83+g4275378de0-3.17.1
  • rbd-nbd >= 15.2.9.83+g4275378de0-3.17.1
openSUSE Tumbleweed
  • ceph >= 16.2.6.45+g8fda9838398-1.1
  • ceph-base >= 16.2.6.45+g8fda9838398-1.1
  • ceph-common >= 16.2.6.45+g8fda9838398-1.1
  • ceph-fuse >= 16.2.6.45+g8fda9838398-1.1
  • ceph-grafana-dashboards >= 16.2.6.45+g8fda9838398-1.1
  • ceph-immutable-object-cache >= 16.2.6.45+g8fda9838398-1.1
  • ceph-mds >= 16.2.6.45+g8fda9838398-1.1
  • ceph-mgr >= 16.2.6.45+g8fda9838398-1.1
  • ceph-mgr-cephadm >= 16.2.6.45+g8fda9838398-1.1
  • ceph-mgr-dashboard >= 16.2.6.45+g8fda9838398-1.1
  • ceph-mgr-diskprediction-local >= 16.2.6.45+g8fda9838398-1.1
  • ceph-mgr-k8sevents >= 16.2.6.45+g8fda9838398-1.1
  • ceph-mgr-modules-core >= 16.2.6.45+g8fda9838398-1.1
  • ceph-mgr-rook >= 16.2.6.45+g8fda9838398-1.1
  • ceph-mon >= 16.2.6.45+g8fda9838398-1.1
  • ceph-osd >= 16.2.6.45+g8fda9838398-1.1
  • ceph-prometheus-alerts >= 16.2.6.45+g8fda9838398-1.1
  • ceph-radosgw >= 16.2.6.45+g8fda9838398-1.1
  • cephadm >= 16.2.6.45+g8fda9838398-1.1
  • cephfs-mirror >= 16.2.6.45+g8fda9838398-1.1
  • cephfs-shell >= 16.2.6.45+g8fda9838398-1.1
  • cephfs-top >= 16.2.6.45+g8fda9838398-1.1
  • libcephfs-devel >= 16.2.6.45+g8fda9838398-1.1
  • libcephfs2 >= 16.2.6.45+g8fda9838398-1.1
  • libcephsqlite >= 16.2.6.45+g8fda9838398-1.1
  • libcephsqlite-devel >= 16.2.6.45+g8fda9838398-1.1
  • librados-devel >= 16.2.6.45+g8fda9838398-1.1
  • librados2 >= 16.2.6.45+g8fda9838398-1.1
  • libradospp-devel >= 16.2.6.45+g8fda9838398-1.1
  • librbd-devel >= 16.2.6.45+g8fda9838398-1.1
  • librbd1 >= 16.2.6.45+g8fda9838398-1.1
  • librgw-devel >= 16.2.6.45+g8fda9838398-1.1
  • librgw2 >= 16.2.6.45+g8fda9838398-1.1
  • python3-ceph-argparse >= 16.2.6.45+g8fda9838398-1.1
  • python3-ceph-common >= 16.2.6.45+g8fda9838398-1.1
  • python3-cephfs >= 16.2.6.45+g8fda9838398-1.1
  • python3-rados >= 16.2.6.45+g8fda9838398-1.1
  • python3-rbd >= 16.2.6.45+g8fda9838398-1.1
  • python3-rgw >= 16.2.6.45+g8fda9838398-1.1
  • rados-objclass-devel >= 16.2.6.45+g8fda9838398-1.1
  • rbd-fuse >= 16.2.6.45+g8fda9838398-1.1
  • rbd-mirror >= 16.2.6.45+g8fda9838398-1.1
  • rbd-nbd >= 16.2.6.45+g8fda9838398-1.1
Patchnames:
openSUSE Tumbleweed GA ceph-16.2.6.45+g8fda9838398-1.1


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
HPE Helion OpenStack 8 ceph Not affected
SUSE CaaS Platform 3.0 ceph Not affected
SUSE Container as a Service Platform 1.0 ceph Not affected
SUSE Container as a Service Platform 2.0 ceph Not affected
SUSE Enterprise Storage 5 ceph Not affected
SUSE Enterprise Storage 6 ceph Not affected
SUSE Linux Enterprise High Performance Computing 12 SP4 ceph Not affected
SUSE Linux Enterprise High Performance Computing 12 SP5 ceph Not affected
SUSE Linux Enterprise High Performance Computing 15 LTSS ceph Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP1 ceph Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP2 ceph Already fixed
SUSE Linux Enterprise Point of Service Image Server 12 SP2 ceph Not affected
SUSE Linux Enterprise Server 11 SP4 LTSS ceph Not affected
SUSE Linux Enterprise Server 12 SP1 LTSS ceph Not affected
SUSE Linux Enterprise Server 12 SP2 BCL ceph Not affected
SUSE Linux Enterprise Server 12 SP2 ESPOS ceph Not affected
SUSE Linux Enterprise Server 12 SP2 LTSS ceph Not affected
SUSE Linux Enterprise Server 12 SP3 BCL ceph Not affected
SUSE Linux Enterprise Server 12 SP3 ESPOS ceph Not affected
SUSE Linux Enterprise Server 12 SP3 LTSS ceph Not affected
SUSE Linux Enterprise Server 12 SP4 ceph Not affected
SUSE Linux Enterprise Server 12 SP4 ESPOS ceph Not affected
SUSE Linux Enterprise Server 12 SP4 LTSS ceph Not affected
SUSE Linux Enterprise Server 12 SP5 ceph Not affected
SUSE Linux Enterprise Server 15 ESPOS ceph Not affected
SUSE Linux Enterprise Server 15 LTSS ceph Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 ceph Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 ceph Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 ceph Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 ceph Not affected
SUSE Linux Enterprise Server for SAP Applications 15 ceph Not affected
SUSE Linux Enterprise Software Development Kit 12 SP4 ceph Not affected
SUSE Linux Enterprise Software Development Kit 12 SP5 ceph Not affected
SUSE OpenStack Cloud 7 ceph Not affected
SUSE OpenStack Cloud 8 ceph Not affected
SUSE OpenStack Cloud 9 ceph Not affected
SUSE OpenStack Cloud Crowbar 8 ceph Not affected
SUSE OpenStack Cloud Crowbar 9 ceph Not affected